## percona-pgaudit13-set-user 2.0.0

=== debian/changelog ===
percona-pgaudit13-set-user (2.0.0-1) unstable; urgency=medium

  * Update to new pgaudit version 2.0.0

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 15 Feb 2021 21:12:14 +0000

percona-pgaudit13-set-user (2.0.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 15 Feb 2021 21:09:07 +0000

## percona-pgaudit13-set-user 2.0.1

=== Makefile ===
MODULES = set_user

EXTENSION = set_user
DATA = set_user--2.0.sql set_user--1.6--2.0.sql set_user--1.5--1.6.sql set_user--1.4--1.5.sql set_user--1.1--1.4.sql set_user--1.0--1.1.sql
PGFILEDESC = "set_user - similar to SET ROLE but with added logging"

REGRESS = set_user

LDFLAGS_SL += $(filter -lm, $(LIBS))

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/set_user
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

.PHONY: install-headers uninstall-headers

install: install-headers

install-headers:
	$(MKDIR_P) "$(DESTDIR)$(includedir)"
	$(INSTALL_DATA) "set_user.h" "$(DESTDIR)$(includedir)"

uninstall: uninstall-headers

uninstall-headers:
	rm "$(DESTDIR)$(includedir)/set_user.h"

=== debian/changelog ===
percona-pgaudit13-set-user (2.0.1-1) unstable; urgency=medium

  * Update to new pgaudit version 2.0.1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 17 Aug 2021 19:58:28 +0000

percona-pgaudit13-set-user (2.0.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 17 Aug 2021 19:55:59 +0000

## percona-pgaudit13-set-user 3.0.0

=== debian/changelog ===
percona-pgaudit13-set-user (3.0.0-2) unstable; urgency=medium

  * Update to new pgaudit version 3.0.0

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 18 Nov 2021 23:08:04 +0000

percona-pgaudit13-set-user (3.0.0-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 18 Nov 2021 23:05:27 +0000

=== debian/rules ===
#!/usr/bin/make -f
override_dh_auto_clean:

override_dh_auto_test:

override_dh_auto_build:
	make USE_PGXS=1

override_dh_auto_install:
	make USE_PGXS=1 install DESTDIR=debian/percona-pgaudit13-set-user/

%:
	dh $@

## percona-pgaudit13-set-user 4.0.1

=== debian/changelog ===
percona-pgaudit13-set-user (4.0.1-2) unstable; urgency=medium

  * Update to new pgaudit version 4.0.1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 07 Jun 2023 14:30:23 +0000

percona-pgaudit13-set-user (4.0.1-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 07 Jun 2023 14:29:39 +0000

## percona-pgaudit13-set-user 4.1.0

=== debian/changelog ===
percona-pgaudit13-set-user (4.1.0-1) unstable; urgency=medium

  * Update to new pgaudit version 4.1.0

 -- root <root@c6f94dff1481>  Thu, 21 Aug 2025 11:17:40 +0000

percona-pgaudit13-set-user (4.1.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 21 Aug 2025 11:13:50 +0000

=== debian/control ===
Source: percona-pgaudit13-set-user
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Build-Depends:
 debhelper (>= 9),
 libkrb5-dev,
 libssl-dev,
 percona-postgresql-server-dev-all (>= 153~),
Standards-Version: 3.9.8

Package: percona-pgaudit13-set-user
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13 (>= 13.0) | percona-postgresql-13 (>= 13.0)
Provides: pgaudit-set-user, postgresql-13-pgaudit-set-user
Description: PostgreSQL Audit Set User Extension
  PostgreSQL is an advanced Object-Relational database management
  system. The PostgreSQL Audit extension (pgaudit) provides detailed
  session and/or object audit logging via the standard PostgreSQL
  logging facility. The set_user part of that extension allows for
  extra logging with regard to granting of superuser privileges, and also
  enforces a superuser-request policy over direct superuser logins.
